unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics,
  Controls, Forms, Dialogs, Menus,datamodule, Grids,
  DBGrids, DB;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    N11: TMenuItem;
    N21: TMenuItem;
    N31: TMenuItem;
    N41: TMenuItem;
    N51: TMenuItem;
    N61: TMenuItem;
    N71: TMenuItem;
    N81: TMenuItem;
    N91: TMenuItem;
    N101: TMenuItem;
    N111: TMenuItem;
    N121: TMenuItem;
    N131: TMenuItem;
    N141: TMenuItem;
    N151: TMenuItem;
    N161: TMenuItem;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    procedure N11Click(Sender: TObject);
    procedure N21Click(Sender: TObject);
    procedure N31Click(Sender: TObject);
    procedure N41Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure N51Click(Sender: TObject);
    procedure N61Click(Sender: TObject);
    procedure N71Click(Sender: TObject);
    procedure N81Click(Sender: TObject);
    procedure N91Click(Sender: TObject);
    procedure N101Click(Sender: TObject);
    procedure N111Click(Sender: TObject);
    procedure N121Click(Sender: TObject);
    procedure N131Click(Sender: TObject);
    procedure N141Click(Sender: TObject);
    procedure N151Click(Sender: TObject);
    procedure N161Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormActivate(Sender: TObject);
var path : string;
begin
path := ExtractFilePath(Application.exename);
dm.ADOConnection1.ConnectionString := 'Provider=Microsoft.ACE.OLEDB.12.0;Data Source='+path+'\computerdb.accdb;Persist Security Info=False';
dm.ADOConnection1.Open;
end;

procedure TForm1.N101Click(Sender: TObject);
begin
//10.	Display the total number of items per category in the Products table with a label "Number of items".
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N111Click(Sender: TObject);
begin
//11.	Display the average price of the items per category if the price is more than the average price for all items.  Add an appropriate label for the column.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N11Click(Sender: TObject);
begin
//1.	Display the items and price of all items that costs less than R100
//(format price as currency).
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N121Click(Sender: TObject);
begin
//12.	Display the most expensive item per category and the least expensive item per category.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N131Click(Sender: TObject);
begin
//13.	Ask the user for the category code.  Increase the price for all items in that category by 5%.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.ExecSQL;
end;

procedure TForm1.N141Click(Sender: TObject);
begin
//14.	Change the warranty for all Printers (category PRI) to 2 years.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.ExecSQL;
end;

procedure TForm1.N151Click(Sender: TObject);
begin
//15.	Write code to insert your own details to add a record to the Products table.  Display a message after the record has been added.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
try
dm.ADOQry.ExecSQL;
showmessage('Record added');
except
showmessage('Record not added');
end;
end;

procedure TForm1.N161Click(Sender: TObject);
begin
//16.	Delete the Products where the stock is 0.  Display a warning message before you delete the record.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
if messagedlg('Are you sure you want to delete the records?',mtConfirmation,[mbyes,mbNo],0) = mryes then
begin
dm.ADOQry.ExecSQL;
showmessage('Records deleted');
end
else
showmessage('Records not deleted');

end;

procedure TForm1.N21Click(Sender: TObject);
begin
//2.	Display all items in the Products table where the price is greater than R200 but less than R2000.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N31Click(Sender: TObject);
begin
//3.	Display the items in the CAB (Cable) Category.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N41Click(Sender: TObject);
begin
//4.	Display the all items in the Products table that does not have a warranty.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N51Click(Sender: TObject);
begin
//5.	Display the all items in the Products table in the category CAL, BAT or BAG categories.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N61Click(Sender: TObject);
begin
//6.	Ask the user for the category (three capital letters) and display all the items in that category.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N71Click(Sender: TObject);
begin
//7.	Ask the user to input two values and display the items and cost price for items priced between these two values.
dm.ADOQry.Close;
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N81Click(Sender: TObject);
var w: string;
begin
//8.	Ask the user to input a word and display all the items that includes that word.
dm.ADOQry.Close;
w:=   inputbox('Input','Enter search word','e');
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

procedure TForm1.N91Click(Sender: TObject);
var w: string;
begin
//9.	Ask the user for a letter and display all products with names starting with that letter.
dm.ADOQry.Close;
w:=   inputbox('Input','Enter search letter','W');
dm.ADOQry.SQL.Text := '';
dm.ADOQry.Open;
end;

end.
