unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, Grids, DBGrids, Menus;

type
  TForm1 = class(TForm)
    DbgAnimal: TDBGrid;
    dsrAnimal: TDataSource;
    MainMenu1: TMainMenu;
    N11: TMenuItem;
    N21: TMenuItem;
    N31: TMenuItem;
    N41: TMenuItem;
    N51: TMenuItem;
    N61: TMenuItem;
    procedure FormActivate(Sender: TObject);
    procedure N11Click(Sender: TObject);
    procedure N21Click(Sender: TObject);
    procedure N31Click(Sender: TObject);
    procedure N41Click(Sender: TObject);
    procedure N51Click(Sender: TObject);
    procedure N61Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Datamodule;

{$R *.dfm}

procedure TForm1.FormActivate(Sender: TObject);
var path : string;
begin
path := ExtractFilePath(Application.ExeName);
dm.conAnimal.ConnectionString := 'Provider=Microsoft.ACE.OLEDB.12.0;Data Source='+path+'\AnimalDB.accdb;Persist Security Info=False';
dm.conAnimal.Open;
dm.ADOqry.Connection := dm.conAnimal;
dsrAnimal.DataSet := dm.ADOqry;
DbgAnimal.DataSource := dsrAnimal;

end;

procedure TForm1.N11Click(Sender: TObject);
begin
DM.ADOqry.Close;
DM.ADOqry.sql.Text := '';
DM.ADOqry.parameters.paramByName('d').value := inputbox('Input','Enter date','');
DM.ADOqry.Open;
if DM.ADOqry.RecordCount = 0 then showmessage('No records found');

end;

procedure TForm1.N21Click(Sender: TObject);
begin
DM.ADOqry.Close;
DM.ADOqry.sql.Text := '';
DM.ADOqry.parameters.paramByName('loc').value := inputbox('Input','Enter place spotted','');
DM.ADOqry.Open;
if DM.ADOqry.RecordCount = 0 then showmessage('No records found');
end;

procedure TForm1.N31Click(Sender: TObject);
begin
DM.ADOqry.Close;
DM.ADOqry.sql.Text := '';
DM.ADOqry.Open;

end;

procedure TForm1.N41Click(Sender: TObject);
begin
DM.ADOqry.Close;
DM.ADOqry.sql.Text := '';
DM.ADOqry.Open;
end;

procedure TForm1.N51Click(Sender: TObject);
begin
DM.ADOqry.Close;
DM.ADOqry.sql.Text := '';
DM.ADOqry.Open;
end;

procedure TForm1.N61Click(Sender: TObject);
begin
DM.ADOqry.Close;
DM.ADOqry.sql.Text := '';
DM.ADOqry.Open;
end;

end.
